# Defaults
CXX     = clang
DEBUG   = 1
STATIC  = 0

LDFLAGS =
CXXFLAGS =\
	-std=c99\
	-Weverything\
	-Wno-padded\
	-Wno-disabled-macro-expansion\
	-pedantic

# Sources / Results
SRC =\
	src/project/main.c

LIBDIR =
LIB =\
	c

INCDIR =\
	src/project/

OUT = project

# Conditionals / Appends
LDFLAGS +=\
	$(addprefix -L,${LIBDIR})\
	$(addprefix -l,${LIB})

CXXFLAGS +=\
	$(addprefix -I,${INCDIR})

ifeq (${DEBUG},1)
CXXFLAGS += -g
else
CXXFLAGS += -O2 -Werror
endif

ifeq (${STATIC},1)
LDFLAGS += -static
endif
